## org.exist.util
Class SyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.util.SyntaxException

All Implemented Interfaces:
  java.io.Serializable

public class SyntaxException
extends java.lang.Exception

Description of the Class

Author:
  Wolfgang Meier <meier@ifs.tu-darmstadt.de> created 24. Juni 2002
See Also:
  Serialized Form

Constructor Summary
`SyntaxException()` Constructor for the PermissionDeniedException object
`SyntaxException(java.lang.String message)` Constructor for the PermissionDeniedException object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntaxException

    public SyntaxException()

  Constructor for the PermissionDeniedException object

### SyntaxException

    public SyntaxException(java.lang.String message)

  Constructor for the PermissionDeniedException object

Parameters:
  `message` - Description of the Parameter

Copyright (C) Wolfgang Meier. All rights reserved.